Subject: Re: Umlaut in filename makes troubles

From: Jochen <[email-masked]>
Date: Tue, 01 Dec 2009 09:26:14 +0100

Øyvind A. Holm wrote:

> On 2009-12-01 08:15:08, [email-masked] wrote:
> > I have problems with my repository under slackware vs. windows. I
> > created a repo in linux and every time I use it under msysgit,
> > the files containing umlauts in the filename are marked as
> > deleted (and vice versa).
> >
> > For instance: the repo perfectly synced under msysgit leads to:
> >
> > user@sauron:/media/disk-2$ git status |grep Auszug
> > #       deleted:    "trunk/007_Literatur/Auszug aus Ergonomische
> > Untersuchung des Lenkgef\374hles.docx"
> > #       "trunk/007_Literatur/Auszug aus Ergonomische Untersuchung
> > des Lenkgef\303\274hles.docx"
> >
> > in linux. But the file exists and is displayed correctly in the
> > shell or in dolphin (my filemanager under X):
> >
> > user@sauron:/media/disk-2$ ls trunk/007_Literatur/Auszug*
> > trunk/007_Literatur/Auszug aus Ergonomische Untersuchung des
> > Lenkgefühles.docx
> >
> > Can you please give me a hint what to do?
>
> Try to specify "utf8" as mount option under Linux. 

The automount of KDE 4.2.4 already used utf-8 (I guess the filenames 
would be garbled in dolphin otherwise)

> You can also try
> experimenting with the "nls" mount option, check out the mount(8)
> man page to see how it's used.

Ufff, I'm sorry - I'm not sure how to pass this to the automouter. I'd 
tried to mount the stick manually (with and without utf) and without 
utf8 the filenames are display strange from "ls".

> Additionally, I found that I need "shortname=mixed" when mounting
> USB memory cards. As filenames are case insensitive in Windowsworld
> and gadgets using vfat, Linux tend to treat them differently.

My automouter done it as

/dev/sde on /media/disk-2 type vfat 
(rw,nosuid,nodev,uhelper=hal,uid=1000,utf8,shortname=mixed)

So the options look right to me.

Kindest regards
Jochen